[Tutorial] Tutoriais para Ubuntu 8.04 hardy

LnxSlck

Power Member
Bem este tutorial não é exclusivo do Ubuntu, mas como não encontrei uma secção mais própria para colocar isto, vai mesmo aqui.

Ultimamente, têm surgido muitos filmes em .rmvb, têm menos qualidade, muitos já têm as legendas incorporadas mas são muito mais pequenos, e tenho tido muitos colegas que me perguntam se conheço algum programa que convertesse os .rmvb para .avi, para verem no leitor de divx de casa e etc.

Programas para windows existem uns quantos, mas uns têm que se pagar, outros são trial, etc, etc... Então arranjei uma maneira simples em Linux para converter ficheiros .rmvb para .avi, só precisamos de ter o programa menconder instalado (a maior parte das distros traz isto de raiz) e depois:

mencoder -oac mp3lame -lameopts cbr:br=64:vol=2 -srate 22050 -ovc xvid -sws 1 -xvidencopts bitrate=500:max_key_interval=120:vhq=4 -ofps 30 -vf scale=640:360 filme.rmvb -o filme.avi


Existem várias opções, estas são as que costumo utilizar para conseguir um ficheiro mais parecido com o original.
 

grafo

Folding Member
quem instalar o compiz que faça apt-get install fusion-icon e na parte de adicionar a entrada na lista "sessões" que adicione fusion-icon e não emerald --replace, assim e mais facil de alternar de gestor de janelas e isso.
já agora, não é preciso instalar o emerald para nada... o emerald era apenas para o beryl, com o compiz acho que chega ter o GTK window decorator, que é o predefinido no ubuntu...

já agora, podiam por aí um link para o ubuntuguide... para chegar ao correspondente da nova versao e preciso ir a newer versions e carregar em 8.04. Nao ta nada incompleto tendo em conta que e uma versao relativamente nova.
 
Última edição:

jahred

Power Member
Bem. Foi o cabo dos trabalhos instalar a minha multi-funções Canon Pixma MP510 no ubuntu. Aqui vai como fiz:

Bem, primeiro seguir este
link e sacar:

- IJ Printer Driver Ver. 2.70 for Linux (rpm Package for MP510)
- IJ Printer Driver Ver. 2.70 for Linux (rpm Common package)
- ScanGear MP Ver. 1.00 for Linux (rpm Package for MP510)
- ScanGear MP Ver. 1.00 for Linux (rpm Common package)

Penso que as Common packages não são necessárias, mas como na altura foi assim que fiz...

Para instalar esses *.rpm tem que se converter para deb. isso pode-se fazer instalando o alien:
Código:
sudo apt-get install alien
e então:
Código:
sudo alien -d nomeDoPacoteAConverter.rpm

agora é só abrir os pacotes *.deb acabados de converter e instalá-los um a um. Tem que instalar os 4 que acabou de fazer download.

Abrir o Gestor de Pacotes Synaptic e procurar pelos seguintes pacotes:

- libpng3
- libpng12-0
- libtiff4

(libpng12-0 e libtiff4 já deverão estar instalados, mas se não estiverem, instalem)

abrir a consola:

Código:
cd /usr/local/bin
Código:
ls -l

Deve aparecer qualquer coisa do género:

Código:
-rwxr-xr-x 1 root root  84571 2007-08-23 05:16 cifmp510
-rwxr-xr-x 1 root root  20166 2007-02-22 05:50 cngpij
-rwxr-xr-x 1 root root  96073 2007-08-23 05:16 cngpijmonmp510
-rwxr-xr-x 1 root root 106903 2007-08-23 05:16 lgmonmp510
-rwxr-xr-x 1 root root 578740 2007-08-23 05:16 printuimp510
-rwxr-xr-x 1 root root 193286 2007-11-14 06:56 scangearmp

agora sem fechar a consola (ou seja, ainda em /usr/local/bin) fazer:

Código:
ldd cifmp510

Deverá aparecer qualquer coisa do género:

Código:
linux-gate.so.1 =>  (0xffffe000)
libcnbpcmcm293.so => /usr/lib/libcnbpcmcm293.so (0xb7f45000)
libcnbpess293.so => /usr/lib/libcnbpess293.so (0xb7efd000)
libm.so.6 => /lib/tls/i686/cmov/libm.so.6 (0xb7ed8000)
libdl.so.2 => /lib/tls/i686/cmov/libdl.so.2 (0xb7ed4000)
libtiff.so.3 => not found
libpng.so.3 => not found
libcnbpcnclapi293.so => /usr/lib/libcnbpcnclapi293.so (0xb7e57000)
libcnbpcnclbjcmd293.so => /usr/lib/libcnbpcnclbjcmd293.so (0xb7e52000)
libcnbpcnclui293.so => /usr/lib/libcnbpcnclui293.so (0xb7e4c000)
libpopt.so.0 => /lib/libpopt.so.0 (0xb7e44000)
libc.so.6 => /lib/tls/i686/cmov/libc.so.6 (0xb7cfa000)
libpthread.so.0 => /lib/tls/i686/cmov/libpthread.so.0 (0xb7ce1000)
/lib/ld-linux.so.2 (0xb7f64000)
libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0xb7cc1000)
libz.so.1 => /usr/lib/libz.so.1 (0xb7cac000)

Reparem que:
libtiff.so.3 => not found
libpng.so.3 => not found
ou seja, libtiff.so.3 e libpng.so.3 que o driver necessita não foram encontrados.

Agora fazer:
Código:
cd /usr/lib

e a parte mais importante:

Código:
sudo ln -s libtiff.so.4 libtiff.so.3
Código:
sudo ln -s libpng12.so libpng.so.3

e de seguida:
Código:
sudo ldconfig

depois para confirmar que ficou tudo bem:
Código:
cd /usr/local/bin
e de novo
Código:
ldd cifmp510

Deverá aparecer algo parecido:
Código:
        linux-gate.so.1 =>  (0xb7f1f000)
        libcnbpcmcm293.so => /usr/lib/libcnbpcmcm293.so (0xb7f02000)
        libcnbpess293.so => /usr/lib/libcnbpess293.so (0xb7eba000)
        libm.so.6 => /lib/tls/i686/cmov/libm.so.6 (0xb7e95000)
        libdl.so.2 => /lib/tls/i686/cmov/libdl.so.2 (0xb7e91000)
        libtiff.so.3 => /usr/lib/libtiff.so.3 (0xb7e3e000)
        libpng.so.3 => /usr/lib/libpng.so.3 (0xb7e1b000)
        libcnbpcnclapi293.so => /usr/lib/libcnbpcnclapi293.so (0xb7e15000)
        libcnbpcnclbjcmd293.so => /usr/lib/libcnbpcnclbjcmd293.so (0xb7e10000)
        libcnbpcnclui293.so => /usr/lib/libcnbpcnclui293.so (0xb7e0a000)
        libpopt.so.0 => /lib/libpopt.so.0 (0xb7e02000)
        libc.so.6 => /lib/tls/i686/cmov/libc.so.6 (0xb7cb3000)
        libpthread.so.0 => /lib/tls/i686/cmov/libpthread.so.0 (0xb7c9a000)
        /lib/ld-linux.so.2 (0xb7f20000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0xb7c7a000)
        libz.so.1 => /usr/lib/libz.so.1 (0xb7c65000)

Reparem que agora:
libtiff.so.3 => /usr/lib/libtiff.so.3 (0xb7e3e000)
libpng.so.3 => /usr/lib/libpng.so.3 (0xb7e1b000)

E pronto, em princípio deverá estar tudo a funcionar bem. Digo-vos que o driver feito pela canon parece que ficou a meio. Não dá (pelo menos eu não consigo) imprimir frente e verso (no windows, quando acabava de imprimir as páginas frontais ele pedia para virar as folhas para imprimir os versos), aqui a única maneira que tou a ver para contornar esse problema é imprimir primeiro as páginas ímpares e depois as pares. Deixo aqui o ppd original da canon modificado por mim com algumas configurações extra (como resolução da impressão, qualidade, etc): PPD Para instalá-lo é só criar uma nova impressora e escolher "Provide PPD" e seleccionar o ficheiro PPD.
 
Última edição:
Topo